%bcond_with perl_CPAN_Meta_Check_enables_extra_test

Summary:        Verify requirements in a CPAN::Meta object
Name:           perl-CPAN-Meta-Check
Version:        0.014
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CPAN-Meta-Check
Source0:        https://cpan.metacpan.org/modules/by-module/CPAN/CPAN-Meta-Check-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:	coreutils findutils make perl-generators perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76 perl(base)
BuildRequires:	perl(CPAN::Meta::Prereqs) >= 2.132830
BuildRequires:	perl(CPAN::Meta::Requirements) >= 2.121
BuildRequires:	perl(Exporter) perl(Module::Metadata) >= 1.000023 perl(strict)
BuildRequires:	perl(warnings) perl(CPAN::Meta) >= 2.120920 perl(Env) perl(lib)
BuildRequires:	perl(Test::Deep) perl(Test::More) >= 0.88
%if %{with perl_CPAN_Meta_Check_enables_extra_test} && !%{defined perl_bootstrap}
BuildRequires:	perl(blib)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
%endif

%description
This module verifies if requirements described in a CPAN::Meta object are
present.

%prep
%autosetup -n CPAN-Meta-Check-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test
%if %{with perl_CPAN_Meta_Check_enables_extra_test} && !%{defined perl_bootstrap}
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"
%endif

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/CPAN/
%{_mandir}/man3/CPAN::Meta::Check.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.014-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.014-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.014-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.014-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 cunshunxia <cunshunxia@tencent.com> - 0.014-1
- initial build
